<?php namespace Place\Lib;
use Dever;
class Info
{
    # 获取列表
    public function getList()
    {
        $data = array
        (
            0 => array
            (
                'id' => -1,
                'name' => '通用',
            ),
        );
        $extend = Dever::load('common', 'manage')->extend();
        $where['uid'] = $extend['data_id'];
        $data = array_merge($data, Dever::db('info', 'place')->select($where));
        return $data;
    }
    

    # 设置一些资源操作的分区，-1是身份-2是会员-3是代理-4-5-6保留，1是内容2是功能3是商品4是角色5是数据6是聊天789保留
    public function funcType()
    {
        return array
        (
            'type' => 'list',
            'field' => 'type', 
            'value' => array_keys(Dever::config('setting')['type'])
        );
        return $type;
    }
}